Page MenuHomePhabricator

Externalize the parsing logic from SimpleKeywordFeature and FullTextQueryStringQueryBuilder
Closed, ResolvedPublic

Description

  • move out the regexes from SimpleKeywordFeature into a KeywordParser class.
  • move out all necessary regexes from FullTextQueryStringQueryBuilder in to Parser class
  • implement a minimal AST supported these queries

Details

Related Gerrit Patches:
mediawiki/extensions/CirrusSearch : masterAdd QueryStringRegexParser
mediawiki/extensions/CirrusSearch : masterPromote some functions to KeywordFeature

Event Timeline

dcausse triaged this task as Medium priority.Feb 28 2018, 6:20 PM
dcausse created this task.
Restricted Application edited projects, added Discovery-Search; removed Discovery-Search (Current work). · View Herald TranscriptFeb 28 2018, 6:20 PM

Change 415355 had a related patch set uploaded (by DCausse; owner: DCausse):
[mediawiki/extensions/CirrusSearch@master] Promote some functions to KeywordFeature

https://gerrit.wikimedia.org/r/415355

Change 418955 had a related patch set uploaded (by DCausse; owner: DCausse):
[mediawiki/extensions/CirrusSearch@master] Add QueryStringRegexParser

https://gerrit.wikimedia.org/r/418955

dcausse renamed this task from Externalize the parsing logic from SimpleKeywordFeature to Externalize the parsing logic from SimpleKeywordFeature and FullTextQueryStringQueryBuilder.Mar 13 2018, 5:17 PM
dcausse updated the task description. (Show Details)

Change 415355 merged by jenkins-bot:
[mediawiki/extensions/CirrusSearch@master] Promote some functions to KeywordFeature

https://gerrit.wikimedia.org/r/415355

Change 418955 merged by jenkins-bot:
[mediawiki/extensions/CirrusSearch@master] Add QueryStringRegexParser

https://gerrit.wikimedia.org/r/418955

debt closed this task as Resolved.May 10 2018, 4:24 PM